package com.javacodegeeks.client;

import java.util.Date;

import com.google.gwt.event.logical.shared.ValueChangeEvent;
import com.google.gwt.event.logical.shared.ValueChangeHandler;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.datepicker.client.DatePicker;

public class GWTDatePicker {
	
	public static DatePicker createDatePicker() {
		DatePicker datePicker = new DatePicker();

	    // Set the value in the text box when the user selects a date
	    datePicker.addValueChangeHandler(new ValueChangeHandler<Date>() {
	      public void onValueChange(ValueChangeEvent<Date> event) {
	    	  Window.confirm(event.getValue().toString());
	      }
	    });
	    datePicker.setValue(new Date(), true);
	    return datePicker;
	}
}
