package com.javacodegeeks.client;

import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.ToggleButton;

public class GWTToggleButton {
	
	public static ToggleButton createToggleButton() {
		final ToggleButton toggleButton = new ToggleButton("ButtonUp", "ButtonDown");
		toggleButton.setWidth("80px");
	    toggleButton.addClickHandler(new ClickHandler() {
	      public void onClick(ClickEvent event) {
	        if (toggleButton.isDown()) {
	          Window.confirm("Toggle down");
	        } else {
	          Window.confirm("Toggle up");
	        }
	      }
	    });
	    return toggleButton;
	}
}
