package com.javacodegeeks.client;

import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.CheckBox;

public class GWTCheckBox {
	
	public static CheckBox createCheckBox() {
		CheckBox checkbox = new CheckBox("GWT Checkbox");
	    checkbox.setValue(true);

	    // Hook up a handler to find out when it's clicked.
	    checkbox.addClickHandler(new ClickHandler() {
	      @Override
	      public void onClick(ClickEvent event) {
	        boolean checked = ((CheckBox) event.getSource()).getValue();
	        Window.confirm("Checked: " + (checked ? "Checked" : "Unchecked"));
	      }
	    });
	    return checkbox;
	}

}
