package com.javacodegeeks.client;

import com.google.gwt.user.client.Command;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.ListBox;
import com.google.gwt.user.client.ui.MenuBar;

public class GWTListBox {
	
	public static HorizontalPanel createListBox() {
		ListBox listBox = new ListBox();
	    listBox.addItem("Monday");
	    listBox.addItem("Tuesday");
	    listBox.addItem("Wednesday");
	    listBox.addItem("Thursday");
	    listBox.addItem("Friday");
	    
	    listBox.setVisibleItemCount(5);
	    
	    MenuBar menuBar = new MenuBar(true);
	    menuBar.addItem("Menu1", getCommand("Menu1 command"));
	    menuBar.addItem("Menu2", getCommand("Menu2 command"));
	    menuBar.addItem("Menu3", getCommand("Menu3 command"));
	    
	    HorizontalPanel panel = new HorizontalPanel();
	    panel.add(listBox);
	    panel.add(menuBar);
	  
	    return panel;
	}
	
	private static Command getCommand(final String text) {
		return new Command() {
		      public void execute() {
		        Window.alert(text);
		      }
		    };
	}
}
