package com.javacodegeeks.client;

import com.google.gwt.core.client.EntryPoint;
import static com.google.gwt.user.client.ui.RootPanel.get;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class GWTWidgets implements EntryPoint {

	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {
		get().add(GWTButton.createButton());
		get().add(GWTRadioButton.createRadioButton());
		get().add(GWTCheckBox.createCheckBox());
		get().add(GWTDatePicker.createDatePicker());
		get().add(GWTToggleButton.createToggleButton());
		get().add(GWTTextBox.createTextBox());
		get().add(GWTHyperLink.createHyperLink());
		get().add(GWTListBox.createListBox());
		get().add(GWTTree.createTree());
	}
	
}
